Apache configuration exposes endpoint https://cn.dataone.org/solr/d1-cn-log

2014-04-23 18:31 - Peter Slaughter

Status: Closed Start date: 2014-04-23

Priority: Normal Due date:  

Assignee: Skye Roseboom % Done: 100%

Category: d1_log_aggregation Estimated time: 0.00 hour

Target version:    

Milestone: None Story Points:  

Product Version: *   

Description

The log event Solr index can be accessed via an endpoint such as https://cn.dataone.org/solr/d1-cn-log. Only the endpoint such as 

https://cn.dataone.org/cn/v1/log should be available. Currently URLs for ./v1/log are rewritten to ./solr/d1-cn-log , which is configured

in /etc/apache2/conf.d/rewrite_cnlog.

Related issues:

Related to Infrastructure - Story #4461: CCI 1.2.6 Feature Release Closed 2014-03-19 2014-05-10

History

#1 - 2014-04-29 22:55 - Skye Roseboom

- Status changed from New to In Progress

#2 - 2014-05-02 15:21 - Skye Roseboom

- Status changed from In Progress to Testing

#3 - 2014-05-02 20:26 - Skye Roseboom

- Status changed from Testing to Closed

- translation missing: en.field_remaining_hours set to 0.0

Tested updated dataone-cn-solr install on cn-sandbox and verified solr endpoints have been closed after update.

Ready for CCI 1.2.6 release.
